<?php
defined( 'IN_WEB') or die( 'Include Error!');
/**
 * 挖矿
 */
class Mining{
    /**
     * 返回岛旷工等级信息
     * YANG丶 2019年5月22日
     */
    public function getMiningInfo($param){
        $uid = oo::functions()->uint($param['uid']);
        if( empty($uid)  ){
            $data = array('code' => -1,'desc'=>'参数错误1！');
            return json_encode($data);
        }
        $data = oo::commonOprModel('mining')->getInfo($uid);
        return json_encode($data);
    }

    /**
     * 升级矿岛旷工等级
     * YANG丶 2019年5月22日
     */
    public function UpdateMining($param){
        $uid = oo::functions()->uint($param['uid']);
        $levelId = oo::functions()->uint($param['levelId']);  //岛id
        if( empty($uid) ||  empty($levelId) ){
            $data = array('code' => -1,'msg'=>'参数错误!');
            return json_encode($data);
        }
        $data = oo::commonOprModel('mining')->UpdateMining($uid,$levelId);
        return json_encode($data);

    }

    /**
     * 矿工 领取收益
     * YANG丶 2019年5月22日
     */
    public function receiveUserIncome($param){
        $uid = oo::functions()->uint($param['uid']);
        $money = oo::functions()->uint($param['coins']);
        if( empty($uid) || empty($money) ){
            $data = array('code' => -1,'desc'=>'参数错误2！');
            return json_encode($data);
        }
        $data = oo::commonOprModel('mining')->receiveUserIncome($uid,$money);
        return json_encode($data,JSON_NUMERIC_CHECK);
    }

    /**
     * 获取矿工游戏信息
     * @param $param
     * @return string
     * Created by: Owen
     * Created on: 2020/3/5 19:53
     */
    public function getGameInfo($param){
        $uid = oo::functions()->uint($param['uid']);
        if(empty($uid)){
            return oo::response(-1,[],"参数异常");
        }
        $data = oo::commonOprModel('mining')->getGameInfo($uid,2);
        return oo::response(1,$data,"",true);
    }
}
?>